from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.lang import XInitialization

@runtime_checkable
class XSmartTagAction(XInitialization, Protocol):
    def getName(self, aLocale: Locale) -> str: ...
    def getDescription(self, aLocale: Locale) -> str: ...
    def getActionCount(self, aSmartTagName: str, xController: XController, xProperties: XStringKeyMap) -> int: ...
